.TH SAOIMAGE 1 "24 Nov 1989"
.SH NAME
saoimage \- X11 window based, interactive, color or halftone image display
program for astronomical images
.SH SYNOPSIS
.B saoimage
[
.B -d
.I machine:0.0
]
[
.B -g, -gd
.I geometry
]
[
.B -q, -v
] 
[
.B -pros, -imtool, -fits, -oif
]
[
.B -u1, -u2, -i2, -i4, -r4, -r8
[
.I wdth hght
]
] 
[
.B -bswap
]
[
.B -sk
.I bytes
]
[
.B -ul, -ll
]
[
.B -one, -zero
]
[
.B -rotate
.I code
]
[
.B -linear, -wrap
[
.I wraps
],
.B -log
[
.I exponent
],
.B -sqrt
[
.I power
],
.B -histeq
]
[
.B -min
.I val
]
[
.B -max
.I val
]
[
.B -rmin
.I val
]
[
.B -rmax
.I val
]
[
.B -p
.I color_cells
]
[
.B -red, -green, -blue
]
[
.B -vertgraph
]
[
.B -coord
]
[
.B -magnifier
]
[
.B -mag
.I val
]
[
.B -idev
.I pipename
]
[
.B -odev
.I pipename
]
[
.B -panboxav, -panboxsum, -panboxsamp, -panboxmax
]
[
.I filename, 
.B -name
.I filename
] 
.SH DESCRIPTION
.IR SAOimage
is a utility for displaying astronomical images which runs under the
.I X11
window environment.  Image files can be read directly, or image data
may be passed through a
.I UNIX
named pipe or
.I VMS
mailbox from
.I IRAF
display tasks.
.IR SAOimage
provides a large selection of options for zooming, panning, scaling,
coloring, pixel readback, display blinking, and region specification,
all controlled by using the mouse.  To exit, use the
.I QUIT
button in the
.I etc
submenu (click on
.I etc,
then click on
.I QUIT
).
.LP
The
.IR SAOimage
desktop includes, a main image display window, a button menu panel, a
display magnifier, a pan and zoom reference image, and a color bar.
A color table graph window can be brought up by clicking on the color
bar.  Modes are selected by clicking on menu buttons in the top row
of the button panel.  Each menu mode brings up its own submenu
buttons (the lower row in the button panel) for mode specific
selections.  Actions and submodes are selected by clicking on buttons
in the submenu row of the menu panel.  The mouse controls specific
functions in both the main display window and the pan/zoom window.
In the main display window, the function of the mouse is determined
by a mode and submode selections from the button menu.  The function
is also indicated by the appearance of the mouse pointer icon.
.LP
To read an image directly from a file, give its name anywhere on the
command line.  The
.I -name
switch is needed only when the image file name could be mistaken for a
number or switch.
.IR SAOimage
recognizes the
.I .fits
and
.I .imh
filename suffixes as belonging to
.I FITS
and
.I IRAF OIF
files.  All other file types must be specified by an appropriate file type
switch.  The array file types must be followed by width and height dimensions
(unless the image is square and lacks a header).  To skip over an array image
header, use the
.I -sk
switch followed by the number of bytes.  This can also be used to skip over
entire images, if more than one are stored in the same file.
.LP
To emulate
.I imtool,
and communicate with
.I IRAF's
.I images.tv.display, noao.proto.imexamine,
and
.I noao.proto.tvmark
tasks, either the
.I -imtool
or
.I -pros
switch must be given.  The two switches differ in the type of
cursor/region file written out:
.I -imtool
writes out an
.I IRAF
list containing only center coordinates, just as that of
.I imtool;
.I -pros
writes out a full description of cursors and their dimensions which can
be read by tasks in the
.I PROS
spatial package for making image masks and performing image analyses.
Both file types are ASCII and can be read and edited by the user.
Either type of file can be read back in to reproduce the saved cursors.
.LP
A new command line can be entered at any time, by selecting the
.I new
button in the
.I etc
submenu or striking the
.I N
key on the keyboard, allowing the user to read in new images, change
in and out of
.I -imtool
or
.I -pros
mode, set new scaling parameters, or change the number of reserved
display color cells.  When a new command line is requested, the
previous command line is presented in an emacs-like popup editor for
editing.
.I Ctrl-N
clears the previous line.  Striking the
.I RETURN
key enters the line in the popup window as the new command.
.I Ctrl-C
returns with no action taken.
.LP
The button interface is designed to be user friendly.  The novice user
is encouraged to try any and all buttons to become familiar with their
functions.  The
.I QUIT
button terminates the
.IR SAOimage
program.
.LP
.B MODES AND THE MOUSE
.LP
Most mouse interactions are based on mouse dragging (holding a button
down while moving the mouse).  The user should try clicking and/or
dragging the mouse in each subwindow to become familiar with its
functions.  Modes selected in the button panel determine the
response to the mouse buttons in the main display window.
.LP
In
.I Scale
mode, the mouse buttons control blinking of displays (saved by
clicking with the same mouse button in the
.I blink
submenu button).
In
.I Color
mode, mouse dragging stretches and shifts the color map as per
the
.I contrast/bias, threshold/saturation,
and
.I gamma
submenu selections.
.LP
In the color graph window, color table vertexes may be added or moved
by clicking/dragging with the LEFT (red), MIDDLE (green), or RIGHT
(blue) mouse buttons.  The graph will update continuously only if
.I tracking
is turned on.
.LP
In
.I Cursor
mode, the mouse controls the size and locations of cursors.  The
rule is: LEFT button for position, MIDDLE button for size, and
RIGHT  button for angle or deletion (depending on the cursor).
For
.I box
and
.I ellipse,
MIDDLE button sizing is restrictd, depending on whether dragging
started on a side or near a corner.
With the
.I point
cursor, LEFT and MIDDLE save the current positions with a + or -
indication, while the RIGHT button deletes saved points.
For the
.I polygon
cursor, the MIDDLE button adds or moves a single vertex, while
the RIGHT button will delete vertexes.  When
.I annuli
is set for
.I box, circle,
or
.I ellipse,
the MIDDLE button adds or resizes an annulus, while the RIGHT
button deletes annuli.  For manipulating cursors, the
.I ovlay
selection in the
.I Color
submenu, enables the cursor to track smoothly as an overlay
graphic.  The
.I region
submenu button selection up another submenu with selections to
display and review regions, and read from or write to disk files.
.LP
In
.I Pan
mode, and in the pan window (regardless of mode), the LEFT button
selects the center of the image, while the MIDDLE button selects
the edge of the display, zoomed with the given center.  When either
function is dragged, the rectangle in the pan window shows the
area that would appear in the display when the button is released.
.LP
KEYS
.LP
While in the cursor mode, the
.I S
and
.I E
keys, save the current cursor in a region list, while the 
.I D
and
.I DELETE
keys can be used to forget a region.
At any time, with the pointer in the display or pan windows, the
.I T
key prints a table of pixel values at the pointer position to
STDOUT.  The 4 arrow keys should work for fine movement of the
pointer in any window.  The SHIFT and SHIFT LOCK keys will
reverse the magnifier window, color graph window and coordinate
tracking status.  The
.I N
key summons the pop-up editor for new command input.  Most
command line switches (except -d, -g, -gd, -red, -green,
-blue, and -vertgraph) will be accepted at any time.  The
.I A
key raises and redraws all of SAOimage's windows.
.LP
FOR MORE INFO
.LP
Detailed descriptions of all functions are given in
.IR SAOimage's
user manual sections.
.LP
BUGS
.LP
.I SAOimage
does not allocate its own colormap and thus fails with static
color (i.e. NeWS) window managers.  Resource settings of a user's
default preferences are not read.  The area of the polygon cursor
is not calculated if its sides touch or cross.  The user manual is
simple text and lacks a title page, index, and table of contents.

